OpenStack Image Registry and Delivery Service (Glance)

Image id not contained in swift chunk debug message

Reported by Stuart McLaren on 2012-07-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Medium
Stuart McLaren
Essex
Medium
Brian Waldon
glance (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

Swift debug messages such as the following:

Jul 24 12:38:47 az1-gl-api-0000 DEBUG 8046 [glance.store.swift] Wrote chunk 1/? of length 104857600 to Swift returning MD5 of content: 8fd1aa57ebec06bf69b89a1e0f8d6993

don't provide a way to tell which image this relates to.

Changed in glance:
assignee: nobody → Stuart McLaren (stuart-mclaren)
Jay Pipes (jaypipes) wrote :

Yes, that would indeed be helpful information :)

Changed in glance:
importance: Undecided → Medium
status: New → Triaged
milestone: none → folsom-3

Fix proposed to branch: master
Review: https://review.openstack.org/10213

Changed in glance:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/10213
Committed: http://github.com/openstack/glance/commit/33ebb37f4a263bc89c3d419c6936c60396d12f82
Submitter: Jenkins
Branch: master

commit 33ebb37f4a263bc89c3d419c6936c60396d12f82
Author: Stuart McLaren <email address hidden>
Date: Tue Jul 24 12:51:54 2012 +0000

    Include chunk_name in swift debug message

    Add chunk_name to swift upload debug message. Helps
    to track which image the chunk is part of when several
    uploads are occurring.

    Fixes LP bug #1028433.

    Change-Id: Ieacfd397939b77246e8c89214cbe902c3ed3e28c

Changed in glance:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/10796
Committed: http://github.com/openstack/glance/commit/28e5ba9dd933282321a267a3203b29036118a010
Submitter: Jenkins
Branch: stable/essex

commit 28e5ba9dd933282321a267a3203b29036118a010
Author: Stuart McLaren <email address hidden>
Date: Tue Jul 24 12:51:54 2012 +0000

    Include chunk_name in swift debug message

    Add chunk_name to swift upload debug message. Helps
    to track which image the chunk is part of when several
    uploads are occurring.

    Fixes LP bug #1028433.

    Change-Id: Ieacfd397939b77246e8c89214cbe902c3ed3e28c

Thierry Carrez (ttx) on 2012-08-15
Changed in glance:
status: Fix Committed → Fix Released
Dave Walker (davewalker) on 2012-08-24
Changed in glance (Ubuntu):
status: New → Fix Released
Changed in glance (Ubuntu Precise):
status: New → Confirmed

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, Glance has been deployed and configured across multiple nodes using precise-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

Please Note the list of installed packages at the top and bottom of the report.

For records of upstream test coverage of this update, please see the Jenkins links in the comments of the relevant upstream code-review(s):

Trunk review: https://review.openstack.org/10213
Stable review: https://review.openstack.org/10796

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 2012.1.3+stable~20120821-120fcf-0ubuntu1

---------------
glance (2012.1.3+stable~20120821-120fcf-0ubuntu1) precise-proposed; urgency=low

  * New upstream snapshot. (LP: #1041120)
  * Resynchronzie with stable/essex:
    - Glance add uploads a double image if using ssl and images is smaller
      than 4k. (LP: #1007093)
    - If response.environ is None, instance fails to spawn.
      (LP: #1010560)
    - exception.BadStoreURL exposes sensitive information to end users.
      (LP: #1012268)
    - glance-cache.conf needs metadata encryption key (LP: #1012752)
    - image.upload notification doesn't report size (LP: #1018246)
    - Admins should be able to share image regardless of ownership.
      (LP: #1021054)
    - Glance scrubber date formatting fails with postgres (LP: #1022369)
    - Support zero-size image creation. (LP: #1025353)
    - Image id not contained in swift chunk debug message. (LP: #1028433)
    - qpid_heartbeat setting is ineffective. (LP: #1032314)
    - Image properties that reference image ids are not updated to UUIDs.
      (LP: #975651)
    - Migration 012_id_to_uuid attempts to convert IDs twice for non-sqlite
      databases. (LP: #975655)
    - multiprocess glance-api failed to exit when stopped by ctrl+c.
      (LP: #978130)
    - /usr/bin/glance's built-in pager breaks redirection.
      (LP: #978610)
    - Content-Length and Transfer-Encoding are mutually exclusive HTTP headers
      (LP: #981332)
    - glance add command - incorrect help text (LP: #997565)
  * debian/patches/convert_properties_to_uuid.patch: Dropped no longer
    needed.
  * debian/patches/fix-pep8-ubuntu.patch: Dropped no longer needed.
 -- Adam Gandelman <email address hidden> Fri, 24 Jun 2012 03:14:33 -0400

Changed in glance (Ubuntu Precise):
status: Confirmed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Thierry Carrez (ttx) on 2012-09-27
Changed in glance:
milestone: folsom-3 → 2012.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers